/* Estilos responsivos */
@media (max-width: 991px) {
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
    }
    .table-responsive table {
        width: 100%;
        border-collapse: collapse;
    }
    .table-responsive th, .table-responsive td {
        display: block;
        width: 100%;
        text-align: left;
    }
    .table-responsive th {
        display: none;
    }
    .table-responsive td {
        border: none;
        padding: 0 10px;
    }
    .table-responsive td::before {
        content: attr(data-label);
        font-weight: bold;
        display: block;
    }
    .table-responsive td:nth-child(1) {
        font-weight: bold;
        padding-top:10px;
    }
    .table-responsive td:nth-child(2),
    .table-responsive td:nth-child(3) {
        font-size:0.9em;
        padding:4px 10px;
    }
    .table-responsive td:last-child {
        padding-bottom:10px;
    }
}

@media (max-width: 700px) {
    .floating-circle {
        position: fixed;
        bottom: 20px;
        right: 20px;
        width: 60px;
        height: 60px;
        background-color: #343a40;
        color: #fff;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        z-index: 1000;
        cursor:pointer;
        transition: transform 0.3s ease;
    }
    .floating-circle i {
        font-size: 30px;
    }
    .floating-circle:hover {
        transform: scale(1.2);
    }
}

@media (max-width: 440px) {
    .tagcloud-container-parent {
        height: 300px;
    }
}
@media (max-width: 340px) {
    .tagcloud-container-parent {
        height: 200px;
    }
}

@media (max-width: 992px) {
    .settings-sidebar {
        display: none;
    }
    .dropdown-menu {
        width: 100%;
    }
    .settings-content {
        padding:10px;
        margin:0;
    }
}